* Encoding: UTF-8.
*==============================================================================*.
* TTULO DE LA SINTAXIS:							   
* Clculo de indicadores de la nueva condicin de actividad		y sectorizacin de la PEA	   				   
* OPERACIN ESTADSTICA:													   
* Encuesta Nacional de Empleo, Desempleo y Subempleo (ENEMDU)				   
* UNIDAD TCNICA RESPONSABLE: 												   
* Direccin de Estadsticas Sociodemogrficas (DIES)						   
* ENTIDAD EJECUTORA:														   
* Instituto Nacional de Estadstica y Censos (INEC)							   
*==============================================================================*.
* Fecha de elaboracin:          Septiembre - 2014							   
* Fecha ltima modificacin:   Diciembre - 2018					   
*==============================================================================*.
* Sintaxis elaborada en base a la "Nota metodolgica para la medicin del empleo en Ecuador".
*==============================================================================*.
* Elaborado por:													   
* Direccin de Estadsticas Sociodemogrficas (DIES)						   
* Gestin de Estadsticas Permanentes a Hogares 	   						   
* Aprobado por:													   
* Direccin de Estudios Laborales y Econmicos (DELE)				       
* Unidad de Estudios de Mercado Laboral								       
*==============================================================================*.
* Revisado por:																   
* 1. Direccin de Estudios Laborales y Econmicos (DELE)				       
*    Unidad de Estudios de Mercado Laboral								       
* 2. Direccin de Estadsticas Sociodemogrficas (DIES)						   
*    Gestin de Estadsticas Permanentes a Hogares 	   						   
*==============================================================================*.
*Indicaciones.
*1- Ejecute esta sintaxis en la base de datos: 201812_EnemduBDD_15anios

*==============================================================================*.
*VARIABLES PARA DE TRABAJO PARA GENERACIN DE TABULADOS DE MERCADO LABORAL
*==============================================================================*.
*=============================.
*Provincias*.
*=============================.
string ciudad(a6).
compute ciudad=substr(id_sector,1,6).
exe.

alter type ciudad(f6.0).
output close *. 
compute prov=TRUNC(ciudad/10000).
exe.

*=============================.
*Regiones Naturales*.
*=============================.

if ( prov= 1 | prov= 2 | prov= 3 | prov= 4 | prov= 5 | prov= 6 | prov= 10 | prov= 11 | prov= 17 | prov= 18  | prov=23) rn = 1 .
if (prov= 7 | prov= 8 | prov= 9 | prov= 12 | prov= 13 |  prov = 90 | prov=24 ) rn = 2 .
if (prov= 14 | prov= 15 | prov= 16 | prov= 19 | prov= 21 | prov= 22  ) rn = 3 .
if (prov=20) rn=4.
var lab rn'Regiones Naturales'.
val lab rn 1'Sierra' 2'Costa' 3'Amazona' 4'Insular'.

*recode prov (14,15,16,19,21,22 = 50).
var lab prov'Provincias'.
val lab prov 1'Azuay' 2'Bolvar' 3'Caar' 4'Carchi' 5'Cotopaxi' 6'Chimborazo' 7'El Oro' 8'Esmeraldas' 9'Guayas' 10'Imbabura' 11'Loja' 12'Los Ros' 13'Manab '14 'Morona Santiago' 
15'Napo' 16'Pastaza' 17'Pichincha' 18'Tungurahua' 19'Zamora Chinchipe' 20'Galapagos' 21 'Sucumbos'  22'Orellana'  23'Santo Domingo de los Tschilas' 24'Santa Elena'  
 90'Zonas no Delimitadas'.    

*==================================.
*Generando dominios,
*==================================.
alter type area(f1.0).
output close *.
string dominio03 (a2).
     if (rn=1 and (ciudad <>10150 or ciudad <>170150 or ciudad <>180150) and area=1) dominio03='06'.
     if (rn=2 AND (ciudad <> 70150 OR ciudad<>90150) AND area=1 ) dominio03='07'.
     if (rn=3 AND area=1 ) dominio03='08'.
     if (ciudad=170150 AND area=1) dominio03='01' .
     if (ciudad=90150 AND area=1) dominio03='02'.
     if (ciudad=10150 AND area=1) dominio03='03' .
     if (ciudad=70150 AND area=1) dominio03='04' .
     if (ciudad=180150 AND area=1) dominio03= '05' .
     if dominio03=' ' dominio03='.'.
 exe.
alter type dominio03(f2).

val lab dominio03 01'Quito' 02 'Guayaquil' 03 'Cuenca' 04 'Machala' 05 'Ambato' 06 'Resto sierra urbano' 
07 'Resto costa urbano' 08 'Amazona urbano'.


*=============================.
* Ciudades Autorepresntadas (cinco) *.
*=============================.
alter type area(f1.0) ciudad(f6.0).
output close *. 
if (ciudad =170150 and area=1) dom_ciu = 1.
if (ciudad =90150 and area=1) dom_ciu = 2.
if (ciudad =10150 and area=1) dom_ciu = 3.
if (ciudad =180150 and area=1) dom_ciu = 5.
if (ciudad =70150 and area=1) dom_ciu =4.
val lab dom_ciu 1'Quito' 2'Guayaquil' 3'Cuenca' 5'Ambato' 4'Machala'.
var lab dom_ciu 'Ciudades'.
exe.

*=============================================.
compute t=1.
var lab t 'Poblacion Total'.
*=============================================.
*Generacin de Indicadores de Mercado Laboral - Tasas.
*=============================================.
if( petn=1) templeob=0.
if (empleo=1) templeob=100.
if (pean=1) templeog=0.
if (empleo=1) templeog=100.
if (pean=1) tadec=0.
if (adec=1) tadec=100.
if( pean=1) tsub=0.
if (sub=1) tsub=100.
if( pean=1) tsub_h=0.
if (sub_h=1) tsub_h=100.
if( pean=1) tsub_w=0.
if (sub_w=1) tsub_w=100.
if ( pean=1) toinad=0.
if (oinad=1) toinad=100.
if( pean=1) tnr=0.
if (nr=1) tnr=100.
if( pean=1) tnc=0.
if (nc=1) tnc=100.
if( pean=1) tdesem=0.
if (desem=1) tdesem=100.
if( pean=1) tdesemab=0.
if (desemab=1) tdesemab=100.
if( pean=1) tdesemoc=0.
if (desemoc=1) tdesemoc=100.
if( pean=1) tdesem1=0.
if (desem1=1) tdesem1=100.
if( pean=1) tdesem2=0.
if (desem2=1) tdesem2=100.
if( t_a=1) tpartib15=0.
if (pean=1 and p03>=15) tpartib15=100.
if( petn=1) tpartig=0.
if (pean=1 and p03>=15) tpartig=100.
if( pean=1) tsubu=0.
if (sub=1 or desem=1) tsubu=100.
exe.

*============================. 
*Empleado pblico y privado.
*============================.
*Esta variable incluye a los trabajadores domsticos 
para la poblacin de empleados provados.
RECODE P42 (1 = 1) (2 THRU 10=2) INTO claempl.
var label claempl 'Tip de Empleador'.
value label claempl
1'Empleado Pblico'
2'Empleado Privado'.
var lev claempl (NOMINAL).
exe.

*============================. 
*.Asalariado e Independiente
*============================.
recode P42 (1 THRU 4= 1) (10= 1) (5 THRU 6 =2) INTO asalind.
var label asalind 'Tipo de Trabajo'.
value label asalind
1'Empleado Asalariado'
2'Empleado Independiente'.
var lev claempl (NOMINAL).
EXE.

*============================. 
*Nivel de instruccin.
*============================.
if(p10a=1) nnivins=1.
if(p10a=2) nnivins=2.
if(p10a=3 or p10a=4 or p10a=5 or p10a=6 and p10b<4) nnivins=3.
if(p10a=7 or p10a=8 or p10a=6 and p10b>3) nnivins=4.
if( p10a>=8 and p10a<=10) nnivins=5.

var label nnivins'nnivins. Nivel de instruccin'.
val label nnivins
1'Ninguno'
2'Centro de Alfabetizacin'
3'Educacin Bsica'
4'Educacin Media/Bachillerato'
5'Superior'.

*============================.
*Horas de trabajo.
*============================.
recode p51a p51b (999=sysmis).
compute ht=sum(p51a,p51b).

*============================.
*Tiempo de trabajo*.
*============================.
recode p45(99=sysmis).
recode p45 (0 =1)  (1 thru 10=2)  (11 thru 29=3) (30 THRU HIGHEST=4) INTO AT.
var lab at'Tiempo de Trabajo'.
exe.
val lab AT 1'Menos de 1 ao'
2'De 1 a 10 aos'
3'De 11 a 29 aos'
4'30 y ms '.

*=======================.
*Grupos tnicos
*=======================.
recode p15(1=1) (2=2)(3=2)(4=2)(5=5) (6=3) (7=4) (8=6) into etnia.
var lab etnia 'Etnia'.
val lab etnia 1'Indigena' 2'Afroecuatoriano'   3'Mestizo/a' 4'Blanco' 5'Montubio' 6'Otro Cul?'.
exe.
var lev etnia (NOMINAL).

*========================. 
*Tiempo de Bsqueda de Trabajo
*============================.
recode p33 (999=SYSMIS).
recode p33 (0 thru 4=1) (5 thru 8=2)(9 thru 24=3)(25 thru HIGHEST=4) into tbt.
val lab tbt 1'Hasta un mes'
2'Entre 1 y dos meses'
3'Entre 2 y seis meses'
4'6 meses y ms.'.

*=============================================.
*Seguridad Social.
*=============================================.
compute seguro =$sysmis.
if (p05a=1 or p05b=1) seguro=1.
if (p05a>=2 and p05a<=9) seguro=2.
if (p05a=10) seguro=3.
val label seguro 
1'IESS - Seguro General' 
2'Otro Seguro - No IESS Seguro General' 
3'Ninguno'.
exe.

*============================. 
*Horas Efectivas.
*============================.
recode p24(999=sysmis).
exe.
*============================.
*Rama de actividad_3 - (15 categoras)*.
*============================.
recode rama1 (1=1)(2=2)(3=3)(4=4)(8=8) (5=4)(6=5)(7=6)(9=7)(10=9)(11=10)(13 thru 14=11)(15=13)(16 thru 17=12)(12=15) (18 thru 19=15) (21 thru 22=15) (20=14) (9999=15) into rama3.
val lab rama3
1 'Agricultura, ganadera, caza y silvicultura y pesca' 
2 'Petrleo y minas' 
3 'Manufactura (incluida refinacin de petrleo)' 
4 'Suministro de electricidad y agua' 
5 'Construccin' 
6 'Comercio' 
7 'Alojamiento y servicios de comida' 
8 'Transporte' 
9 'Correo y Comunicaciones' 
10 'Actividades de servicios financieros' 
11 'Actividades profesionales, tcnicas y administrativas' 
12 'Enseanza  y Servicios sociales y de salud' 
13 'Administracin pblica, defensa; planes de seguridad social obligatoria' 
14 'Servicio domstico'
15 'Otros Servicios'.
exe.

*=======================.
*Grupos de edad*.
*=======================.
recode p03 (15 thru 24=1) (25 thru 34=2) (35 thru 44=3) (45 thru 64=4) (65 thru HIGHEST=5) into gedad.
var lab gedad 'grupos de edad'.
val lab gedad
1'Poblacion 15-24 aos'
2'Poblacion  25-34 aos'
3'Poblacion de 35-44 aos'
4'Poblacion de 45-64 aos'
5'Poblacion de 65 aos y ms'.
exe.

*=======================================.
*Sectorizacin de la poblacin empleada*.
*=======================================.
if formal=1 secto=1.
if informal=1 secto=2.
if empdom=1 secto=3.
if nocla=1 secto=4.
var lab secto 'Sectorizacion de la PEA'.
val  lab secto
1'Poblacin con empleo en el sector formal'
2'Poblacin con empleo en el sector informal'
3'Poblacin con empleo Domstico'
4'Poblacin con empleo no clasificado por sector'.
exe.

*=======================================.
*Ingreso laboral, deflactado, de la poblacin empleada*.
*=======================================.

compute inglab=ingrl.
recode inglab(-1 =SYSMIS) (999999=SYSMIS).
*cambiar IPC segun el periodo para Diciembre-2018 actualizar con Noviembre-2018.
compute ipc_=105.18.
compute defla=(73.40/ipc_).
compute ing_defla=(inglab*defla).
exe.

*=========================.
*Sector Informal.
*=========================.

if empleo=1 tinformal=0.
if informal=1 tinformal=100.
exe.

*=========================.
*Filtros.
*=========================.
IF ((area=1 or area=2 ) ) fil00=1.
if area=1   fil01=1.
if area=2  fil02=1.
exe.
var lab fil00'Nacional'
/fil01'Urbano' 
/fil02'Rural'.

*=========================.
*Periodo de la ronda.
*=========================.

*La variable ao contiene el periodo o ronda al que se 
refiere la encuesta.
compute ao=201812.
val lab ao 201812 'dic-2018'.
exe.

*=========================.
*Sectorizacin de la PEA.
*=========================.

if formal=1 secto=1.
if informal=1 secto=2.
if empdom=1 secto=3.
if nocla=1 secto=4.
var lab secto 'sectorizacion pean'.
val lab secto
1'Poblacin con empleo en el sector formal'
2'Poblacin con empleo en el sector informal'
3'Poblacin con empleo Domstico'
4'Poblacin con empleo no clasificado por sector'.
exe.

*=========================.
*Caracterizacin de los desempleados.
*=========================.
if desem1=1 desemb=1.
if desem2=1 desemb=2.
if desemab=1 desema=1.
if desemoc=1 desema=2.
exe.
var lab desema 'Segn busqueda de empleo'.
var lab desemb 'Segn experiencia previa'.
val lab desemb 1'Cesante' 2'Nuevo'.
val lab desema 1'Desempleo abierto' 2'Desempleo oculto'.


